Bug 98179 - ContentChangeTime.getEarliestTime did not return a row
Summary: ContentChangeTime.getEarliestTime did not return a row
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rc0blockers
TreeView+ depends on / blocked
 
Reported: 2003-06-27 15:43 UTC by Branimir Dolicki
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-02 20:44:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Branimir Dolicki 2003-06-27 15:43:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
After installing the tip my log file started to get filled with error messages
like this every 60 seconds:

2003-06-27 16:41:58,609 [ead-3] ERROR search.ContentChangeTime -
ContentChangeTime.getEarliestTime did not return a row
2003-06-27 16:41:58,609 [ead-3] ERROR search.TimerFinished -
BuildIndex.checkState() failed!
java.lang.IllegalStateException: ContentChangeTime.getEarliestTime did not
return a row
        at
com.arsdigita.search.ContentChangeTime.getEarliestTime(ContentChangeTime.java:83)
        at com.arsdigita.search.BuildIndex.shouldSyncAgain(BuildIndex.java:313)
        at com.arsdigita.search.BuildIndex.checkState(BuildIndex.java:266)
        at com.arsdigita.search.TimerFinished.run(TimerFinished.java:41)
        at java.util.TimerThread.mainLoop(Timer.java:430)
        at java.util.TimerThread.run(Timer.java:380)


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
(1) Install fresh from the tip.

(2) Cause the LuceneInitializer to fail by misconfiguration (I suspect
that this left my database in a unique state)

(3) Fix the misconfiguration and restart

All initializers run fine but the above error messages is seen in ccm.log

This might be hard to reproduce,
but hopefully someone familiar with te search should see what is wrong.  Here's
the content of my content_change_time table:

SQL> select to_char(change_time) from content_change_time;
 
TO_CHAR(CHANGE_TIME)
----------------------------------------
1056724240279
1056724320241
1056724327805
1056724338810
1056724374713
1056724374850
 
6 rows selected.

As well as my SYSDATE:

SQL> SELECT to_char(sysdate, 'YYYY-MM-DD HH24:MI:SS') from dual;
 
TO_CHAR(SYSDATE,'YY
-------------------
2003-06-27 17:33:34


Additional info:

Comment 1 Branimir Dolicki 2003-06-27 16:54:30 UTC
BTW, I just reloaded my data model and I'm seeing the same problem although I
did not have a problem with LuceneInitializer this time.

Messages started to show up in the config file after I published my first item.

Comment 2 Jon Orris 2003-07-02 20:44:44 UTC
Fixed @33009


Note You need to log in before you can comment on or make changes to this bug.